org.apache.cassandra.io

## Interface ISerializer<T>

- All Known Implementing Classes:
    CommitLogPosition.CommitLogPositionSerializer, DeletionTime.Serializer, EstimatedHistogram.EstimatedHistogramSerializer, IndexInfo.Serializer, StreamingHistogram.StreamingHistogramSerializer

      public interface ISerializer<T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `deserialize(DataInputPlus in)` Deserialize from the specified DataInput instance.
    `void` | `serialize(T t, DataOutputPlus out)` Serialize the specified type into the specified DataOutput instance.
    `long` | `serializedSize(T t)`
    `default void` | `skip(DataInputPlus in)`

- - ### Method Detail

    - #### serialize

          void serialize(T t,
                         DataOutputPlus out)
                  throws java.io.IOException

      Serialize the specified type into the specified DataOutput instance.
      Parameters:
        `t` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
      Throws:
        `java.io.IOException`

    - #### deserialize

          T deserialize(DataInputPlus in)
                 throws java.io.IOException

      Deserialize from the specified DataInput instance.
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException`

    - #### serializedSize

          long serializedSize(T t)

    - #### skip

          default void skip(DataInputPlus in)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation